Main Page Widgets Namespaces Book

# Gtk::HRuler Class Reference
[Widgets]

Inheritance diagram for Gtk::HRuler:

[legend]
List of all members.

## Detailed Description

Horizontal Ruler.

## Public Member Functions

virtual | ~HRuler ()
GtkHRuler* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkHRuler* | gobj () const
| Provides access to the underlying C GtkObject.
| HRuler ()

## Related Functions

(Note that these are not member functions.)
Gtk::HRuler* | wrap (GtkHRuler* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::HRuler::~HRuler | ( |  | ) | `[virtual]`

Gtk::HRuler::HRuler | ( |  | ) |

## Member Function Documentation

const GtkHRuler* Gtk::HRuler::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Ruler.

GtkHRuler* Gtk::HRuler::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Ruler.

## Friends And Related Function Documentation

Gtk::HRuler* wrap | ( | GtkHRuler* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- ruler.h